swCSTp {oce} | R Documentation

## Electrical conductivity ratio from salinity, temperature and pressure

### Description

Compute electrical conductivity ratio based on salinity, temperature, and pressure (relative to the conductivity of seawater with salinity=35, temperature68=15, and pressure=0).

### Usage

    swCSTp(salinity, temperature, pressure,
                       eos=getOption("oceEOS", default="gsw"))

### Arguments

`salinity` | practical salinity, or a CTD object (in which case its temperature and pressure are used, and the next two arguments are ignored)
`temperature` | in-situ temperature [degC], defined on the ITS-90 scale; see “Temperature units” in the documentation for `swRho`.
`pressure` | pressure [dbar]
`eos` | equation of state, either `"unesco"` or `"gsw"`.

### Details

If `eos="unesco"`, the calculation is done by a bisection root search on the UNESCO formula relating salinity to conductivity, temperature, and pressure (see `swSCTp`). If it is `"gsw"` then the Gibbs-SeaWater formulation is used, via `gsw_C_from_SP`.

### Value

Conductivity ratio [unitless], i.e. the ratio of conductivity to the conductivity at salinity=35, temperature=15 (IPTS-68 scale) and pressure=0, which has numerical value 42.9140 (see Culkin and Smith, 1980).

### Author(s)

Dan Kelley

### References

Fofonoff, P. and R. C. Millard Jr, 1983. Algorithms for computation of fundamental properties of seawater. Unesco Technical Papers in Marine Science, 44, 53 pp.

Culkin, F., and Norman D. Smith, 1980. Determination of the concentration of potassium chloride solution having the same electrical conductivity, at 15 C and infinite frequency, as standard seawater of salinity 35.0000 ppt (Chlorinity 19.37394 ppt). IEEE Journal of Oceanic Engineering, 5, pp 22-23.

### See Also

For thermal (as opposed to electrical) conductivity, see `swThermalConductivity`. For computation of salinity from electrical conductivity, see `swSCTp`.

### Examples

    swCSTp(35, T90fromT68(15), 0, eos="unesco") # 1, by definition of cond. ratio
    swCSTp(34.25045, T90fromT68(15), 2000, eos="unesco") # 1
    swCSTp(34.25045, 15, 2000, eos="unesco") # 1.000081
    swCSTp(34.25045, 15, 2000, eos="gsw")  # 0.9999982

[Package oce version 0.9-18 Index]